Bug 17472 - Borrower Previously Checked Out: Display title
Summary: Borrower Previously Checked Out: Display title
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Alex Sassmannshausen
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 6906
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-20 08:03 UTC by Josef Moravec
Modified: 2016-12-18 20:37 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17472: Add title, barcode to warning message. (1.13 KB, patch)
2016-10-21 08:35 UTC, Alex Sassmannshausen
Details | Diff | Splinter Review
Bug 17472: Add title, not barcode, to warning. (1.16 KB, patch)
2016-10-21 08:50 UTC, Alex Sassmannshausen
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17472: Add title to warning message for PREVCHECKOUT (1.16 KB, patch)
2016-10-21 11:15 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17472: Borrower Previously Checked Out: Display title (1.35 KB, patch)
2016-11-07 09:55 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17472: Borrower Previously Checked Out: Display title (1.48 KB, patch)
2016-12-13 14:51 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2016-10-20 08:03:56 UTC
When the dialog with previous checkout confirmation appers, there should be displayed the title of current document, which the librarian is trying to check out.
Comment 1 Alex Sassmannshausen 2016-10-21 08:35:51 UTC
Created attachment 56717 [details] [review]
Bug 17472: Add title, barcode to warning message.

* koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt: Add Title
  and Barcode to PREVISSUE message.
Comment 2 Alex Sassmannshausen 2016-10-21 08:45:49 UTC
Thinking about it, my patch adds title and barcode.  It may be preferable to add only the title, given that the same bib may have been issued in the past, but not necessarily the same item.

WDYT?

Alex
Comment 3 Alex Sassmannshausen 2016-10-21 08:50:07 UTC
Created attachment 56718 [details] [review]
Bug 17472: Add title, not barcode, to warning.

* koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt: Add item
  title, reword message, for PREVISSUE.
Comment 4 Alex Sassmannshausen 2016-10-21 08:51:02 UTC
I've decided to remove the barcode, as the request itself only mentions title too.

Alex
Comment 5 Josef Moravec 2016-10-21 11:15:32 UTC
Created attachment 56721 [details] [review]
[SIGNED-OFF] Bug 17472: Add title to warning message for PREVCHECKOUT

* koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt: Add Title
  to PREVISSUE message.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Josef Moravec 2016-10-21 11:17:09 UTC
Thank Alex,

I agree, the important thing is the title, not barcode.

As your second patch was written on top of the previous one, I squashed them.

Signing off
Comment 7 Katrin Fischer 2016-10-24 11:42:23 UTC
This is not a good mark-up for translation:

+    <li>Title <i>[% getTitleMessageIteminfo %]</i> has previously been checked out to this patron.  Check out anyway?</li>

The use of <i> splits the sentence into multiple parts. Please reformat in a way that will be easier to translate.
Comment 8 Josef Moravec 2016-11-07 09:55:46 UTC
Created attachment 57247 [details] [review]
Bug 17472: Borrower Previously Checked Out: Display title

Test plan:
0) apply the patch
1) turn on checking previously checkouts - syspref CheckPrevCheckout
2) checkout an item to borrower
3) check the item in and check it out again, you should see the
dialog, with information that the current item was previously checked
out to this patron. With this patch, the information includes title and
author of the item
Comment 9 sandboxes@biblibre.com 2016-12-09 16:47:11 UTC
Patch tested with a sandbox, by Nick Clemens <nick@bywatersolutions.com>
Comment 10 Jonathan Druart 2016-12-13 12:56:13 UTC
I am lost with the different patches. Could someone tell me which one is the good one?
Authorship has changed between the first submission and the last patch.
Comment 11 Alex Sassmannshausen 2016-12-13 13:09:55 UTC
Hi Jonathan,

This is probably clear by now (I saw you obsoleted a patch).  The right patch is Josef's.

Best wishes,

Alex
Comment 12 Jonathan Druart 2016-12-13 14:51:42 UTC
Created attachment 58161 [details] [review]
Bug 17472: Borrower Previously Checked Out: Display title

Test plan:
0) apply the patch
1) turn on checking previously checkouts - syspref CheckPrevCheckout
2) checkout an item to borrower
3) check the item in and check it out again, you should see the
dialog, with information that the current item was previously checked
out to this patron. With this patch, the information includes title and
author of the item

Signed-off-by:  Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 13 Kyle M Hall 2016-12-16 11:54:27 UTC
Pushed to master for 17.05, thanks Josef!
Comment 14 Katrin Fischer 2016-12-18 20:37:32 UTC
This won't get backported to 16.11.x as it is an enhancement.